Name:		pp3
Version:	1.3.3
Release:	7%{?dist}
Summary:	Creation of sky charts in Postscript or PDF format

Group:		Applications/Engineering
License:	MIT
URL:		http://pp3.sourceforge.net/
Source0:	http://dl.sf.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		pp3-1.3.3-info.patch
Patch1:		pp3-1.3.3-gcc4.3.patch
Patch2:		pp3-1.3.3-install.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	texinfo-tex, tex(latex)
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
Requires:	tex(latex)

%description
PP3 creates celestial charts.  It generates resolution independent
maps of very high graphical quality in Postscript or PDF format.
They can be used for example as illustrations in books or on web
pages.  You may use the databases of the distribution or your own
databases converted to PP3's simple text format.

PP3 uses LaTeX+pstricks as the backend for generating the vector
graphics.  You can add arbitrary labels to the map.  The output is
configurable in many ways.

%prep
%setup -q
%patch0 -b .info -p1
%patch1 -b .gcc43 -p1
%patch2 -b .install -p1
for file in README examples/*; do
	mv $file timestamp
	iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp
	touch -r timestamp $file
done

%build
make %{?_smp_mflags} CXXFLAGS="%{optflags}" 


%install
rm -rf $RPM_BUILD_ROOT
make install ROOT=$RPM_BUILD_ROOT LOCAL=""
find $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
/sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi

%files
%defattr(-,root,root,-)
%doc
%doc COPYING README WHATSNEW 
%{_bindir}/pp3
%{_datadir}/pp3
%{_datadir}/doc/pp3
%{_infodir}/*
%exclude %{_infodir}/*.png*
%exclude %{_infodir}/dir

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-6
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 3 2008 Marek Mahut <mmahut@fedoraproject.org> - 1.3.3-1
- Initial build
